Package org.bukkit

# Annotation Interface UndefinedNullability

@Retention(CLASS) @Documented @Deprecated public @interface UndefinedNullability
Deprecated.
This should generally not be used in any new API code as it suggests a bad API design.
Annotation for types, whose nullability is not well defined, so `NotNull` nor `Nullable` is applicable. For example when interface defines a method, whose nullability depends on the implementation.

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
Deprecated.
Human readable description of the circumstances, in which the type is nullable.

## Element Details

### value

String value
Deprecated.
Human readable description of the circumstances, in which the type is nullable.

Returns:
  description

Default:
  ""